## jellyfish1 1.1.11

=== debian/changelog ===
jellyfish1 (1.1.11-10) unstable; urgency=medium

  * Fix clean target
    Closes: #1045535
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: review thanks to lrc
  * Secure URL in watch file

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2024 22:27:11 +0100

jellyfish1 (1.1.11-9) unstable; urgency=medium

  * Add support for loongarch64 in d/control
    Closes: #1057127
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 11:51:12 +0100

jellyfish1 (1.1.11-8) unstable; urgency=medium

  * Restrict architectures to 64bit
    Closes: #1008944

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2022 15:32:32 +0200

jellyfish1 (1.1.11-7) unstable; urgency=medium

  [ Lance Lin ]
  * Added autopkgtest

  [ Andreas Tille ]
  * Drop transition for old debug package migration.

 -- Andreas Tille <tille@debian.org>  Thu, 24 Mar 2022 20:20:52 +0100

jellyfish1 (1.1.11-6) unstable; urgency=medium

  * Team Upload.
  * Get package building with autoconf 2.70 (Closes: #978842)
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 Aug 2021 03:40:58 +0530

jellyfish1 (1.1.11-5) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 07:52:51 +0100

jellyfish1 (1.1.11-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2018 08:03:17 +0200

jellyfish1 (1.1.11-3) unstable; urgency=medium

  * Enable building on architectures mips(el) and others by linking libatomic
    if needed (Thanks for the hint to Aaron M. Ucko <ucko@debian.org>)
    Closes: #875328

 -- Andreas Tille <tille@debian.org>  Sun, 10 Sep 2017 21:35:54 +0200

jellyfish1 (1.1.11-2) unstable; urgency=medium

  * Enable arm64 (Thanks for the patch to Edmund Grimley Evans
    <edmund.grimley.evans@gmail.com>)
    Closes: #874549
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * Fix license short name

 -- Andreas Tille <tille@debian.org>  Sat, 09 Sep 2017 20:15:31 +0200

jellyfish1 (1.1.11-1) unstable; urgency=medium

  * Create separate jellyfish1 package since there exist packages that
    explicitly require jellyfish version 1
    Closes: #871501
  * Adapt watch file to only fetch 1.x version updates
  * Move executable to usr/lib/jellyfish1/jellyfish and symlink to
    /usr/bin/jellyfish1
  * Move citation to the right place

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2017 17:26:44 +0200

jellyfish (1.1.5-1) unstable; urgency=low

  * New upstream version fixing the FTBFS with gcc-4.7 bug
    Closes: #667214
  * debian/patches/fix-unused-but-set-variable.patch: Removed
    because applied upstream

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2012 21:56:38 +0200

jellyfish (1.1.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/ptrdiff_t: Removed because applied upstream
  * debian/patches/cmdline: Removed because upstream code was changed
    in a way that it becomes superfluous
  * debian/patches/fix-unused-but-set-variable.patch: Due to the use
    of hardening flags warnings about unused-but-set-variable becomes
    an error - start working on a patch
  * debian/source/local-options: Add dpkg-source local-options hints
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Move citation from long desciption to debian/upstream
     - debhelper (>= 9)
  * debian/upstream: Use the agreed way to specify citations
  * debian/copyright: DEP5 verified using
      cme fix dpkg-copyright
  * debian/compat: 9

 -- Andreas Tille <tille@debian.org>  Sat, 31 Mar 2012 08:50:25 +0200

jellyfish (1.1.2-1) unstable; urgency=low

  * Initial release. Closes: #644925.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Oct 2011 11:49:11 -0700
