=== debian/control ===
Source: jellyfish1
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shaun Jackman <sjackman@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/jellyfish1
Vcs-Git: https://salsa.debian.org/med-team/jellyfish1.git
Homepage: https://www.cbcb.umd.edu/software/jellyfish/
Rules-Requires-Root: no

Package: jellyfish1
Architecture: amd64 arm64 loong64 mips64el ppc64el hppa ia64 kfreebsd-amd64 riscv64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: kraken
Description: count k-mers in DNA sequences
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 This is the latest version of the 1.x series of jellyfish which is
 used by some other applications that are not compatible with version
 2.x which is provided inside the jellyfish package.
