=== debian/watch ===
version=4
https://www.cbcb.umd.edu/software/jellyfish/ jellyfish-(1.+)\.tar\.gz
